package com.chinaitop.receive.controller;

import com.alibaba.fastjson2.JSON;
import com.chinaitop.receive.model.ReceiveMessages;
import com.chinaitop.receive.service.ReceiveMessagesService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * @author qingsong.han
 * @description: 接收订阅消息
 * @create 2023-09-15 16:44
 */
@Slf4j
@RestController
@RequestMapping("/receive")
public class ReceiveMessageController {
    @Resource
    private ReceiveMessagesService messagesService;

    @PostMapping("/messages")
    public void receiveMessages(@RequestBody ReceiveMessages receive) {
        log.info("receiveMessages------------:{}", JSON.toJSONString(receive));
        try {
            // 保存订阅消息Gbase
            messagesService.saveMessage(receive.getReceiveData());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
