package com.chinaitop.receive.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qingsong.han
 * @description: 件内容定义(文档651-652页)
 * @create 2023-09-21 13:05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_alarm")
public class ReceiveData implements Serializable {
    private static final long serialVersionUID = -4582750271652340422L;

    @TableId("id")
    private String id; // 告警事件id

    @TableField("alarm_level")
    private Integer alarm_level; // 报警等级

    @TableField("alarm_level_name")
    private String alarm_level_name; // 告警等级名称

    @TableField("alarm_time")
    private Date alarm_time; // 告警时间,13位时时间戳(1695225631000)

    @TableField("alarm_type")
    private String alarm_type; // 告警类型编码

    @TableField("alarm_type_name")
    private String alarm_type_name; // 告警类型名称

    @TableField("device_id")
    private String device_id; // 告警设备id(视图库id)

    @TableField("device_name")
    private String device_name; // 告警设备名称

    @TableField("org_index")
    private String org_index; // 组织id

    @TableField("org_name")
    private String org_name; // 组织名称

    @TableField("picture_url")
    private String picture_url; // 抓拍图片相对路径:调用图片路径转换接口获取绝对路径

    @TableField("image_url")
    private String image_url; // 抓拍图片url路径:已转换的路径

    @TableField(exist = false)
    private Double latitude; // 告警经度
    @TableField(exist = false)
    private Double longitude; // 告警维度
    @TableField(exist = false)
    private String biz_id; // 报警业务数据主键
    @TableField(exist = false)
    private BizJson biz_json; // json对象(652页)


}
