package com.chinaitop.scheduled;

import com.chinaitop.token.GetTokenConfig;
import com.chinaitop.utils.RedisUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @author qingsong.han
 * @description: 定时刷新token
 * @create 2023-09-18 9:36
 */
@Slf4j
@Component
@EnableScheduling // 开启定时任务
public class ScheduledTasks {
    @Resource
    private RedisUtil redisUtil;
    @Resource
    private GetTokenConfig config;

    // 定时刷新token(1.5小时)
    @Scheduled(fixedDelay = 5400000) // fixedDelay,cron,fixedRate
    public void refreshToken() {
        if (!redisUtil.hasKey("access_token")) {
            if (redisUtil.hasKey("refresh_token")) {
                config.refreshToken();
            } else {
                config.getToken();
            }
        }
        log.info("------ScheduledTasks------");
    }

}
