package com.chinaitop.utils;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.URL;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author qingsong.han
 * @description: 远程获取文件流
 * @create 2023-10-09 9:38
 */
@Component
public class FilePullUtil {
    @Value("${videoRootPath}")
    private String serverPath;

    // 获取文件流(http)
    public void pictureFile(String pictureUrl, String fileName) throws Exception {
        // 建立图片链接
        URL url = new URL(pictureUrl);
        HttpURLConnection connection = (HttpURLConnection) url.openConnection();
        //设置请求方式
        connection.setRequestMethod("GET");
        //设置超时时间
        connection.setConnectTimeout(10 * 1000);

        //输入流
        InputStream stream = connection.getInputStream();
        int len;
        byte[] test = new byte[1024];


        /*//获取项目路径
        File directory = new File("src/main/resources/static/images");
        String path = directory.getCanonicalPath();
        //如果没有文件夹则创建
        File file = new File(path);
        if (!file.exists()) {
            file.mkdirs();
        }

        //设置图片名称，这个随意，我是用的当前时间命名
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyymmddhhmmss");
        String date = dateFormat.format(new Date());
        String fileName = date + ".png";*/

        //输出流,图片输出的目的文件
        BufferedOutputStream fos = new BufferedOutputStream(new FileOutputStream(serverPath + "/" + fileName));

        //以流的方式上传
        while ((len = stream.read(test)) != -1) {
            fos.write(test, 0, len);
        }

        //关闭流
        stream.close();
        fos.close();
//        return path;
    }

}
