package com.chinaitop.videoPlay.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.chinaitop.utils.ResultView;
import com.chinaitop.videoPlay.model.BaseAlarm;
import com.chinaitop.videoPlay.service.BaseAlarmService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description: 智能分析报警
 * @create 2023-09-25 12:08
 */
@RestController
@RequestMapping("/alarm")
public class BaseAlarmController {
    @Resource
    private BaseAlarmService baseAlarmService;

    // 新版分页
    @GetMapping("/getPageList")
    public ResultView getPageList(Integer pageNum, Integer pageSize, String alarmTypeName, String alarmTime) {
        try {
            IPage<BaseAlarm> pageList = baseAlarmService.getPageList(pageNum, pageSize, alarmTypeName, alarmTime);
            return ResultView.success(pageList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    // 老版分页
    @GetMapping("/getOldPageList")
    public ResultView getOldPageList(Integer pageNum, Integer pageSize, String alarmTypeName, String alarmTime) {
        List<BaseAlarm> list;
        try {
            if (null != pageNum && null != pageSize) {
                PageHelper.startPage(pageNum, pageSize).using("oracle");
            }
            list = baseAlarmService.getOldPageList(pageNum, pageSize, alarmTypeName, alarmTime);
            PageInfo<BaseAlarm> pageInfo = new PageInfo<>(list);
            return ResultView.success(pageInfo);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

}
