package com.chinaitop.videoPlay.controller;

import com.chinaitop.videoPlay.service.VideoPlayService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author qingsong.han
 * @description:
 * @create 2023-09-18 9:08
 */
@Slf4j
@RestController
@RequestMapping("/video")
public class VideoPlayController {
    @Resource
    private VideoPlayService videoPlayService;

    /**
     * 断点视频加载
     *
     * @param path     文件路径
     * @param request  请求体
     * @param response 返回体
     */
    @RequestMapping("/playVideo/{path}")
    public void playVideo(@PathVariable String path, HttpServletRequest request, HttpServletResponse response) {
        videoPlayService.play(path, request, response);
    }

}
