package com.chinaitop.videoPlay.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * @author qingsong.han
 * @description:
 * @create 2023-10-23 9:21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_alarm")
public class BaseAlarm implements Serializable {
    private static final long serialVersionUID = -4582750271652340423L;

    @TableId("id")
    private String id; // 告警事件id

    @TableField("alarm_level")
    private Integer alarmLevel; // 报警等级

    @TableField("alarm_level_name")
    private String alarmLevelName; // 告警等级名称

    @TableField("alarm_time")
    private Date alarmTime; // 告警时间,13位时时间戳(1695225631000)

    @TableField("alarm_type")
    private String alarmType; // 告警类型编码

    @TableField("alarm_type_name")
    private String alarmTypeName; // 告警类型名称

    @TableField("device_id")
    private String deviceId; // 告警设备id(视图库id)

    @TableField("device_name")
    private String deviceName; // 告警设备名称

    @TableField("org_index")
    private String orgIndex; // 组织id

    @TableField("org_name")
    private String orgName; // 组织名称

    @TableField("picture_url")
    private String pictureUrl; // 抓拍图片相对路径:调用图片路径转换接口获取绝对路径

    @TableField("image_url")
    private String imageUrl; // 抓拍图片url路径:已转换的路径

}
